Edit

Share via


Deployment Pipelines - Add Deployment Pipeline Role Assignment

Adds a deployment pipeline role assignment.

Permissions

The caller must have an admin deployment pipelines role.

Required Delegated Scopes

Pipeline.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

POST https://api.fabric.microsoft.com/v1/deploymentPipelines/{deploymentPipelineId}/roleAssignments

URI Parameters

Name In Required Type Description
deploymentPipelineId
path True

string (uuid)

The deployment pipeline ID.

Request Body

Name Required Type Description
principal True Principal:

The principal.

role True

DeploymentPipelineRole

The deployment pipeline role of the principal.

Responses

Name Type Description
200 OK

DeploymentPipelineRoleAssignment

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • UnknownError - An error occurred

Examples

Add a group role assignment to a deployment pipeline example
Add a service principal role assignment to a deployment pipeline example
Add a user role assignment to a deployment pipeline example

Add a group role assignment to a deployment pipeline example

Sample request

POST https://api.fabric.microsoft.com/v1/deploymentPipelines/8ce96c50-85a0-4db3-85c6-7ccc3ed46523/roleAssignments

{
  "principal": {
    "id": "154aef10-47b8-48c4-ab97-f0bf9d5f8fcf",
    "type": "Group"
  },
  "role": "Admin"
}

Sample response

{
  "id": "154aef10-47b8-48c4-ab97-f0bf9d5f8fcf",
  "principal": {
    "id": "154aef10-47b8-48c4-ab97-f0bf9d5f8fcf",
    "type": "Group"
  },
  "role": "Admin"
}

Add a service principal role assignment to a deployment pipeline example

Sample request

POST https://api.fabric.microsoft.com/v1/deploymentPipelines/8ce96c50-85a0-4db3-85c6-7ccc3ed46523/roleAssignments

{
  "principal": {
    "id": "a35d842b-90d5-59a1-c56a-5f8fcff0bf9d",
    "type": "ServicePrincipal"
  },
  "role": "Admin"
}

Sample response

{
  "id": "a35d842b-90d5-59a1-c56a-5f8fcff0bf9d",
  "principal": {
    "id": "a35d842b-90d5-59a1-c56a-5f8fcff0bf9d",
    "type": "ServicePrincipal"
  },
  "role": "Admin"
}

Add a user role assignment to a deployment pipeline example

Sample request

POST https://api.fabric.microsoft.com/v1/deploymentPipelines/8ce96c50-85a0-4db3-85c6-7ccc3ed46523/roleAssignments

{
  "principal": {
    "id": "a35d842b-90d5-59a2-c56a-5f8fcff0bf9d",
    "type": "User"
  },
  "role": "Admin"
}

Sample response

{
  "id": "a35d842b-90d5-59a2-c56a-5f8fcff0bf9d",
  "principal": {
    "id": "a35d842b-90d5-59a2-c56a-5f8fcff0bf9d",
    "type": "User"
  },
  "role": "Admin"
}

Definitions

Name Description
AddDeploymentPipelineRoleAssignmentRequest

Add deployment pipeline role assignment request payload.

DeploymentPipelineRole

A Deployment Pipeline role. Additional Deployment Pipeline roles may be added over time.

DeploymentPipelineRoleAssignment

A Fabric principal role assignment for a deployment pipeline.

EntireTenantPrincipal

Represents a tenant principal

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

GroupDetails

Group specific details. Applicable when the principal type is Group.

GroupPrincipal

Represents a security group.

GroupType

The type of the group. Additional group types may be added over time.

PrincipalType

The type of the principal. Additional principal types may be added over time.

ServicePrincipalDetails

Service principal specific details. Applicable when the principal type is ServicePrincipal.

ServicePrincipalPrincipal

Represents a Microsoft Entra service principal.

ServicePrincipalProfileDetails

Service principal profile details. Applicable when the principal type is ServicePrincipalProfile.

ServicePrincipalProfilePrincipal

Represents a service principal profile.

UserDetails

User principal specific details. Applicable when the principal type is User.

UserPrincipal

Represents a Microsoft Entra user principal.

AddDeploymentPipelineRoleAssignmentRequest

Add deployment pipeline role assignment request payload.

Name Type Description
principal Principal:

The principal.

role

DeploymentPipelineRole

The deployment pipeline role of the principal.

DeploymentPipelineRole

A Deployment Pipeline role. Additional Deployment Pipeline roles may be added over time.

Value Description
Admin

Enables administrative access to the deployment pipeline.

DeploymentPipelineRoleAssignment

A Fabric principal role assignment for a deployment pipeline.

Name Type Description
id

string (uuid)

The deployment pipeline role assignment ID.

principal Principal:

The principal.

role

DeploymentPipelineRole

The deployment pipeline role of the principal.

EntireTenantPrincipal

Represents a tenant principal

Name Type Description
displayName

string

The principal's display name.

id

string (uuid)

The principal's ID.

type string:

EntireTenant

The type of the principal. Additional principal types may be added over time.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

GroupDetails

Group specific details. Applicable when the principal type is Group.

Name Type Description
groupType

GroupType

The type of the group. Additional group types may be added over time.

GroupPrincipal

Represents a security group.

Name Type Description
displayName

string

The principal's display name.

groupDetails

GroupDetails

Group specific details. Applicable when the principal type is Group.

id

string (uuid)

The principal's ID.

type string:

Group

The type of the principal. Additional principal types may be added over time.

GroupType

The type of the group. Additional group types may be added over time.

Value Description
Unknown

Principal group type is unknown.

SecurityGroup

Principal is a security group.

DistributionList

Principal is a distribution list.

PrincipalType

The type of the principal. Additional principal types may be added over time.

Value Description
User

Principal is a Microsoft Entra user principal.

ServicePrincipal

Principal is a Microsoft Entra service principal.

Group

Principal is a security group.

ServicePrincipalProfile

Principal is a service principal profile.

EntireTenant

Principal represents all tenant users.

ServicePrincipalDetails

Service principal specific details. Applicable when the principal type is ServicePrincipal.

Name Type Description
aadAppId

string (uuid)

The service principal's Microsoft Entra AppId.

ServicePrincipalPrincipal

Represents a Microsoft Entra service principal.

Name Type Description
displayName

string

The principal's display name.

id

string (uuid)

The principal's ID.

servicePrincipalDetails

ServicePrincipalDetails

Service principal specific details. Applicable when the principal type is ServicePrincipal.

type string:

ServicePrincipal

The type of the principal. Additional principal types may be added over time.

ServicePrincipalProfileDetails

Service principal profile details. Applicable when the principal type is ServicePrincipalProfile.

Name Type Description
parentPrincipal Principal:

The service principal profile's parent principal.

ServicePrincipalProfilePrincipal

Represents a service principal profile.

Name Type Description
displayName

string

The principal's display name.

id

string (uuid)

The principal's ID.

servicePrincipalProfileDetails

ServicePrincipalProfileDetails

Service principal profile details. Applicable when the principal type is ServicePrincipalProfile.

type string:

ServicePrincipalProfile

The type of the principal. Additional principal types may be added over time.

UserDetails

User principal specific details. Applicable when the principal type is User.

Name Type Description
userPrincipalName

string

The user principal name.

UserPrincipal

Represents a Microsoft Entra user principal.

Name Type Description
displayName

string

The principal's display name.

id

string (uuid)

The principal's ID.

type string:

User

The type of the principal. Additional principal types may be added over time.

userDetails

UserDetails

User principal specific details. Applicable when the principal type is User.